Subject: Re: Problem w/ cron
From: Jeremy A Redburn <[email-masked]>
To: "Pierre A. Humblet" <[email-masked]>
Cc: [email-masked]
Date: Thu, 23 Oct 2003 10:10:08 -0400 (EDT)

Ok, sorry I wasn't sure what information was required.

ls -ln reveals that the file is owned by Administrator (uid=500).

Are there any sources of information of name aliasing that you mention?

cygcheck.out is attached.

Also, $UID, $USER, $USERNAME are all undefined under cron, though I think
this is the expected behavior.

Jeremy

On Wed, 22 Oct 2003, Pierre A. Humblet wrote:

> Jeremy A Redburn wrote:
> >
> > Hi there,
> >
> > I am having permissions trouble with the latest cron on Cygwin. I am
> > running WindowsXP and have an ssh identity file owned by me:
> >
> > -rw-------    1 Administ None          672 Oct 22 16:15 identity
>
> It's not clear if the owner is Administrator or Administrators.
> Try ls -ln
>
> > The problem is that I do not seem to have read access to this file when
> > running a command under Administrator's crontab. Right now, I have:
> >
> > * * * * * /usr/bin/cat /tmp/identity > /tmp/identity2 2>&1
> >
> > But /tmp/identity2 is just:
> > /usr/bin/cat: /tmp/identity: Permission denied
> >
> > When I run the command from the shell, it works fine. I have run `id` from
> > the shell and from cron and there is a minor difference:
> >
> > uid=500(Administrator) gid=513(None) groups=544(Administrators),545(Users)
> > uid=500(Administrator) gid=513(None) groups=513(None),545(Users)
>
> That's a big difference, and it's abnormal.
> Some name aliasing might be taking place.
> What does fgrep Administrator /etc/passwd give? You will need to provide
> more details, see http://cygwin.com/problems.html
>
> The workaround suggested by Brian Ford might work, but there is still
> an underlying problem.
>
> Pierre
>
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/